WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Database Backup Error (8 posts)

  1. hatevalyum
    Member
    Posted 6 years ago #

    Trying the automatic upgrade plugin and it errors out during the DB backup phase, the browser window just goes blank. Safari's Activity Window shows "lost network connection" for the following item:
    http://accordingtomatthew.com/wp-content/plugins/wordpress-automatic-upgrade/js/wp-wpau.js.php?ver=0.1

    I've also tried this in Firefox with the same result.
    Any ideas?

  2. ricardolopes
    Member
    Posted 6 years ago #

    Can you access your database in any other way? Usually webhosts offer DB access through control panels and phpmyadmin.
    there are other ways of backing up your database, your webhost probably has this function setup for you. Talk to them;-)
    Hope this helps.

  3. ricardolopes
    Member
    Posted 6 years ago #

    By using categories, he would 'lose' the categories option in all "blog"
    Ok, let me see if I understand this.
    You want to have several blogs, lets say:
    yoursite.com/blog1
    yoursite.com/blog2

    When someone types 'yoursite.com' you want them to land on a blog that links to these other blogs?
    Is this it?

  4. KirkM
    Member
    Posted 6 years ago #

    @hatevalyum,

    Is your host happen to be using PHP 5 on your server and if so, what's the version number? I may have seen the same problem when using WAUP to upgrade a customer's WP blog who's server been changed over to PHP 5.2.5. By the way, using the fully automated mode works okay but I recommend using the WordPress Database Backup plugin (just search for it in the plugin directory at WP.org) first to backup your DB as a safety precaution. WAUP hasn't messed up any upgrade I've done and I've done many but if your using PHP 5 and see the same problem then the author needs to know pronto.

  5. hatevalyum
    Member
    Posted 6 years ago #

    Yeah PHP 5.0.5 is the version my host uses. If I backup the DB using another plugin how do I get WAUP to skip that step and complete the upgrade anyway?

  6. hatevalyum
    Member
    Posted 6 years ago #

    Just wanted to say thanks to everyone who helped with this. Problem is now solved.

    I discovered that my host allows me to use one of three different version of PHP. I changed it to PHP5.1 and the upgrade went just fine.

    Thanks again!

  7. KirkM
    Member
    Posted 6 years ago #

    You're very welcome!

  8. Aff
    Member
    Posted 6 years ago #

    I have the exact same problem. My host was using 4.4.7 but I asked them if I could have 5.1 upon discovering this thread. They've installed 5.2 for me and that didn't work, either. I will go back and once again ask for 5.1.

    The strange thing is that PHP 4.4.7 worked perfectly well for me on a different installation. Would the fact that I'm on a VPS make any difference whatsoever to the upgrade that wouldn't work?

    Any help much appreciated.

Topic Closed

This topic has been closed to new replies.

About this Topic